--
-- Initialization data for the Funambol Exchange Connector module
--
-- 
-- @version $Id: init_schema.sql,v 1.1 2006/08/08 07:29:10 gibi Exp $
--

--
-- Source registration
--
delete from fnbl_sync_source_type where id='exc-ca';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('exc-ca','Exchange Calendar SyncSource','com.funambol.exchange.engine.source.ExchangeCalendarSyncSource','com.funambol.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from fnbl_sync_source_type where id='exc-co';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('exc-co','Exchange Contact SyncSource','com.funambol.exchange.engine.source.ExchangeContactSyncSource','com.funambol.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from fnbl_sync_source_type where id='exc-no';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('exc-no','Exchange Note SyncSource','com.funambol.exchange.engine.source.ExchangeNoteSyncSource','com.funambol.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from fnbl_sync_source_type where id='exc-ta';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('exc-ta','Exchange Task SyncSource','com.funambol.exchange.engine.source.ExchangeTaskSyncSource','com.funambol.exchange.admin.ExchangeSyncSourceConfigPanel');


delete from fnbl_module where id='exc';
insert into fnbl_module (id, name, description) values('exc','exchange','exchange');

delete from fnbl_connector where id='exc';
insert into fnbl_connector(id, name, description, admin_class) values('exc','FunambolExchangeConnector','Funambol Exchange Connector','com.funambol.exchange.admin.ExchangeConnectorConfigPanel');

delete from fnbl_connector_source_type where connector='exc' and (sourcetype='exc-ca' or sourcetype='exc-co' or sourcetype='exc-no' or sourcetype='exc-ta' );
insert into fnbl_connector_source_type(connector, sourcetype) values('exc','exc-ca');
insert into fnbl_connector_source_type(connector, sourcetype) values('exc','exc-co');
insert into fnbl_connector_source_type(connector, sourcetype) values('exc','exc-no');
insert into fnbl_connector_source_type(connector, sourcetype) values('exc','exc-ta');

delete from fnbl_module_connector where module='exc' and connector='exc';
insert into fnbl_module_connector(module, connector) values('exc','exc');