--
-- Initialization data for the Funambol Exchange Connector module
--
-- @version $Id: create_schema.sql,v 1.1 2006/08/08 07:29:49 gibi Exp $
--

--
-- Source create schema
--
create table fnbl_exch_cache (
    id varchar(200),
    href varchar(200),
    uri varchar(128),
    principal int,
    last_modified timestamp,
    twin_crc numeric (30,0)
);

--
-- index
--
create index uri_principal on fnbl_exch_cache(uri, principal);
create index uri_principal_id on fnbl_exch_cache(uri, principal, id);
create index uri_principal_twin on fnbl_exch_cache(uri, principal, twin_crc);

